### Method

# Shell Global set_stage_input_region

#### Declaration [src]

    void
    shell_global_set_stage_input_region (
      ShellGlobal* global,
      GSList* rectangles
    )

#### Description [src]

Sets the area of the stage that is responsive to mouse clicks when we don’t have a modal or grab.

#### Parameters

`rectangles`

  Type: A list of `MtkRectangle*`

  A list of `MtkRectangle` describing the input region.

  The data is owned by the caller of the method.